Create a workflow
Creates a workflow definition. Set the target type, provide the corresponding configuration block, and use workflow triggers later to execute the workflow for a concrete resource instance. Requires the WORKFLOW.CREATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
Headers
x-platform-id
Platform ID.
Request
This endpoint expects an object.
name
Name of the workflow.
type
Resource type the workflow runs for. This selects the matching workflow configuration and trigger data.
Allowed values:
reference
Unique reference.
status
Status of the workflow.
Allowed values:
description
Description of what the workflow is used for.
customer_ids
Customer scope for the workflow. This limits which customers can use the workflow when it is triggered.
invoice
Invoice workflow configuration that defines how the workflow runs for invoice events and executions.
payment
Payment workflow configuration that defines how the workflow runs for payment events and executions.
Response
Created
name
Name of the workflow.
type
Resource type the workflow runs for. This selects the matching workflow configuration and trigger data.
Allowed values:
reference
Unique reference.
status
Status of the workflow.
Allowed values:
object_type
id
description
Description of what the workflow is used for.
created_at
Date time when the workflow was created.
updated_at
Date time when the workflow was last updated.
customer_ids
Customer scope for the workflow. This limits which customers can use the workflow when it is triggered.
invoice
Invoice workflow configuration that defines how the workflow runs for invoice events and executions.
payment
Payment workflow configuration that defines how the workflow runs for payment events and executions.
Errors
401
Unauthorized Error
403
Forbidden Error